--- title: Examine usage analytics data slug: '2696' canonical_url: https://docs.coveo.com/en/2696/ collection: project-guide source_format: adoc --- # Examine usage analytics data The [Coveo Analytics](https://docs.coveo.com/en/182/) service provides essential feedback when designing and improving your search solution. It lets you visualize the [Coveo Analytics data](https://docs.coveo.com/en/259/) of your search solution by generating meaningful [dashboards](https://docs.coveo.com/en/256/) and [explorers](https://docs.coveo.com/en/261/). This feedback helps you learn whether your solution is relevant, where it needs improvement, where business opportunities might lie, and more. ## Set up Usage Analytics For the UA service to be effective, your search interfaces need to log the appropriate [events](https://docs.coveo.com/en/260/). These become [dimensions](https://docs.coveo.com/en/258/) and [metrics](https://docs.coveo.com/en/263/), which are available in [reports](https://docs.coveo.com/en/266/). [Coveo Machine Learning (Coveo ML)](https://docs.coveo.com/en/188/) features also require UA data to function. ### Log events When you [create a search interface](https://docs.coveo.com/en/2677/) using the [Coveo Atomic library](https://docs.coveo.com/en/lcdf0264/), the components will log search and click events for you. You can further [customize event logging](https://docs.coveo.com/en/atomic/latest/usage/atomic-usage-analytics/atomic-coveo-ua/) to meet your needs. To power a [Coveo ML](https://docs.coveo.com/en/188/) [Content Recommendation (CR)](https://docs.coveo.com/en/1016/) [model](https://docs.coveo.com/en/1012/), you must also [send view events](https://docs.coveo.com/en/atomic/latest/usage/atomic-usage-analytics/atomic-view-events#send-view-events) for the target items. ### Track events You can use your browser console to track the events that are logged by your search interface. For example, you submit a [query](https://docs.coveo.com/en/231/) from a search interface, causing a search event to be logged. In your web browser, open the developer tools to inspect the corresponding HTTP request. You'll see something like the following: **Header** ```http POST https://analytics.cloud.coveo.com/rest/ua/v15/analytics/search?visitor=28s6g49d-f81s-1435-2r5x153dle72 HTTP/1.1 ​ Content-Type: application/json Cookie: visitor=28s6g49d-f81s-1435-2r5x153dle72 Authorization: Bearer **********-****-****-****-************ ``` **Payload** ```json [ { "anonymous": false, "language": "en", "originLevel1": "CommunitySearchPage", "originLevel2": "All", "actionCause": "searchFromLink", "queryText": "coveo", "responseTime": 145, "searchQueryUid": "7bfc652a-9dea-4811-b3f9-6d24345c37ce", "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/109.0.0.0 Safari/537.36" } ] ``` ### Dimensions and metrics The UA service extracts the information logged in events into [dimensions](https://docs.coveo.com/en/1904/) and [metrics](https://docs.coveo.com/en/2041/) that you can use in reports. To exploit custom metadata in your reports, [create corresponding dimensions](https://docs.coveo.com/en/1522/). ## Explore the default Summary dashboard The [**Summary** dashboard](https://docs.coveo.com/en/1559/) in the [Coveo Administration Console](https://docs.coveo.com/en/183/) is a predefined general overview of all of the basic information captured in usage analytics. It's a good out-of-the-box starting point to analyze your data. ### Activity tab The **Activity** tab is where you can see the number of queries, clicks, [visits](https://docs.coveo.com/en/271/), and users captured over a given period of time. It provides a general idea of what happened and who used your Coveo-powered search interfaces. ![Summary dashboard Activity tab | Coveo](https://docs.coveo.com/en/assets/images/coveo-solutions/coveo-solutions-activity-panel.png) The date range selector is at the top right of the **Activity** tab. Click it to choose the period of time that you want to analyze. The line graph displays query, click, visit, and user counts for the selected frequency and date range. Right next to the graph, you can see the total, average, and peak counts for the same metrics. The pie charts display the visits by country and device. The tables list the most popular [tabs](https://docs.coveo.com/en/1343/), queries, and items. ### Keywords tab The **Keywords** tab lists the [keywords](https://docs.coveo.com/en/2738/) that are most often used in queries as well as trending keywords. It also plots out a graph of the number of unique keywords used over time. As with all of the reports in the dashboard, you can drill down on specific keywords, change the analysis time frame using the date range selector, and add new parameters to each table or graph to meet your needs. ![Summary dashboard Keywords tab | Coveo](https://docs.coveo.com/en/assets/images/coveo-solutions/coveo-solutions-keywords-panel.png) ### Relevancy tab The **Relevancy** tab graphs the [Average Click Rank (ACR)](https://docs.coveo.com/en/2836/) and [Search Event Clickthrough](https://docs.coveo.com/en/2837/) over time, and also lists the queries with the lowest relevance. ![Summary dashboard Relevancy tab | Coveo](https://docs.coveo.com/en/assets/images/coveo-solutions/coveo-solutions-relevancy-panel.png) The click rank metric is the average position of the clicked item in the result list. The lower the value, the better. Any value over `10` should be investigated. The clickthrough graph shows the ratio of queries which are followed by a click from the user. The higher the value, the better. Typically, queries displaying optimal results have a clickthrough ratio above `0.66`. Any value under `0.50` should be investigated, and in particular those which also have a high search event count (that is, users frequently enter this query, but don't click anything afterward). The [Relevance Index](https://docs.coveo.com/en/2838/) is a [derived metric](https://docs.coveo.com/en/3318/) based on the clickthrough ratio, ACR, and frequency of the query. The higher the score, the better. The leading practice is to investigate anything at or below `0.50`. ### Content Gaps tab The **Content Gaps** tab analyzes the queries entered by users to identify the top occurrences with no results, no clicks, or poor ranking of clicked content. This analysis helps to identify queries that don't return relevant results and, from there, pinpoint [potential content gaps](https://docs.coveo.com/en/1613/). Knowing which topics are the most searched by users also helps in prioritizing content creation. ![Summary dashboard Content Gaps tab | Coveo](https://docs.coveo.com/en/assets/images/coveo-solutions/coveo-solutions-content-gaps-panel.png) The **Content Gaps** tab displays time series graphs that show the number of total queries submitted and the number of queries that returned no results. The goal is for the number of queries with no results to decrease over time. > **Note** > > The number of search events without results may also include queries for which results exist, but which were not returned to the user due to a lack of permissions or over-filtering. ## Create custom dashboards If the **Summary** dashboard doesn't meet all of your needs, you can [build custom dashboards](https://docs.coveo.com/en/1631/) in which you can leverage you own custom dimensions. ![Custom dashboard | Coveo](https://docs.coveo.com/en/assets/images/coveo-solutions/coveo-solutions-custom-panel.png) ## What's next? The [Set up a query pipeline](https://docs.coveo.com/en/2757/) article outlines the various ways you can set up [query pipelines](https://docs.coveo.com/en/180/) in your [Coveo organization](https://docs.coveo.com/en/185/) to ensure that specific relevance tuning rules and [Coveo ML](https://docs.coveo.com/en/188/) models only apply to the proper audiences.